> ## Documentation Index
> Fetch the complete documentation index at: https://docs.truststack.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# Create Theme

> Create a new theme



## OpenAPI

````yaml /openapi.json post /themes
openapi: 3.0.0
info:
  title: Trust Stack API
  description: Programmatic access to the Trust Stack API.
  version: '1.0'
  contact: {}
servers: []
security: []
tags: []
paths:
  /themes:
    post:
      tags:
        - Theme
      summary: Create Theme
      description: Create a new theme
      operationId: createTheme
      parameters: []
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CreateTheme'
      responses:
        '200':
          description: The theme that was created
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Theme'
components:
  schemas:
    CreateTheme:
      type: object
      properties:
        name:
          type: string
          description: The name of the theme
        color:
          type: string
          description: The color of the theme, used to generate the pallette.
      required:
        - name
        - color
    Theme:
      type: object
      properties:
        id:
          type: string
          description: The ID of the theme
        name:
          type: string
          description: The name of the theme
        variables:
          type: object
          description: The theme palette
        createdAt:
          format: date-time
          type: string
          description: The date the theme was created
        updatedAt:
          format: date-time
          type: string
          description: The date the theme was last updated
        organizationId:
          type: string
          description: The organization that owns the theme
      required:
        - id
        - name
        - variables
        - createdAt
        - updatedAt
        - organizationId

````